package com.ruoyi.system.service.projectV2.common;

import com.ruoyi.system.domain.projectV2.common.SendSmsConfig;

import java.util.List;

/**
 * 短信人员配置Service接口
 * 
 * @author boman
 * @date 2023-03-07
 */
public interface ISendSmsConfigService 
{
    /**
     * 查询短信人员配置
     * 
     * @param id 短信人员配置主键
     * @return 短信人员配置
     */
    public SendSmsConfig selectSendSmsConfigById(Long id);

    /**
     * 查询短信人员配置列表
     * 
     * @param sendSmsConfig 短信人员配置
     * @return 短信人员配置集合
     */
    public List<SendSmsConfig> selectSendSmsConfigList(SendSmsConfig sendSmsConfig);

    /**
     * 新增短信人员配置
     * 
     * @param sendSmsConfig 短信人员配置
     * @return 结果
     */
    public int insertSendSmsConfig(SendSmsConfig sendSmsConfig);

    /**
     * 修改短信人员配置
     * 
     * @param sendSmsConfig 短信人员配置
     * @return 结果
     */
    public int updateSendSmsConfig(SendSmsConfig sendSmsConfig);

    /**
     * 批量删除短信人员配置
     * 
     * @param ids 需要删除的短信人员配置主键集合
     * @return 结果
     */
    public int deleteSendSmsConfigByIds(Long[] ids);

    /**
     * 删除短信人员配置信息
     * 
     * @param id 短信人员配置主键
     * @return 结果
     */
    public int deleteSendSmsConfigById(Long id);
}
